Page MenuHomePhabricator

decommission db1069
Open, NormalPublicRequest

Description

This task will track the decommission of server db1069

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

db1069

Steps for service owner:

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

  • - disable puppet on host
  • - power down host
  • - update netbox status to decommissioning
  • - disable switch port
  • - switch port assignment noted on this task (for later removal) - asw2-a-eqiad:ge-1/0/5
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate (handled by wmf-decommission-host)
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key (handled by wmf-decommission-host)

End non-interrupt steps.

  • - Label disk #2 as broken so it doesn't get re-used
  • - Label memory as broken so it doesn't get re-used - T201133: db1069 (x1 master) memory errors
  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.
  • - IF RECLAIM: system added back to spares tracking (by onsite)

Event Timeline

Change 520371 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db1069: Disable notifications

https://gerrit.wikimedia.org/r/520371

Change 520371 merged by Marostegui:
[operations/puppet@production] db1069: Disable notifications

https://gerrit.wikimedia.org/r/520371

Change 520695 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db1069 from config

https://gerrit.wikimedia.org/r/520695

Change 520695 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db1069 from config

https://gerrit.wikimedia.org/r/520695

Mentioned in SAL (#wikimedia-operations) [2019-07-04T07:50:27Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Remove db1069 from config as it will be decommissioned T227166 (duration: 00m 49s)

Mentioned in SAL (#wikimedia-operations) [2019-07-04T07:51:26Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Remove db1069 from config as it will be decommissioned T227166 (duration: 00m 48s)

Change 520828 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Decommission db1069

https://gerrit.wikimedia.org/r/520828

Mentioned in SAL (#wikimedia-operations) [2019-07-05T05:02:27Z] <marostegui> Remove db1069 from tendril and zarcillo - T227166

Change 520828 merged by Marostegui:
[operations/puppet@production] mariadb: Decommission db1069

https://gerrit.wikimedia.org/r/520828

Mentioned in SAL (#wikimedia-operations) [2019-07-05T05:09:42Z] <marostegui> Stop MySQL on db1069 for decommission T227166

Marostegui updated the task description. (Show Details)

This host is ready for DC-Ops to decommission

Restricted Application added a project: Operations. · View Herald TranscriptJul 18 2019, 3:05 PM
Cmjohnson moved this task from Backlog to Decommission on the ops-eqiad board.Mon, Jul 22, 2:41 PM

cookbooks.sre.hosts.decommission executed by robh@cumin1001 for hosts: db1069.eqiad.wmnet

  • db1069.eqiad.wmnet
    • Removed from Puppet master and PuppetDB
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Removed from DebMonitor
RobH updated the task description. (Show Details)Thu, Jul 25, 8:03 PM

Change 525639 had a related patch set uploaded (by RobH; owner: RobH):
[operations/dns@master] db1069 prod dns decom

https://gerrit.wikimedia.org/r/525639

Change 525639 merged by RobH:
[operations/dns@master] db1069 prod dns decom

https://gerrit.wikimedia.org/r/525639

Change 525641 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] db1069 decom

https://gerrit.wikimedia.org/r/525641

Change 525641 merged by RobH:
[operations/puppet@production] db1069 decom

https://gerrit.wikimedia.org/r/525641

RobH removed RobH as the assignee of this task.Thu, Jul 25, 8:07 PM
RobH removed a project: Patch-For-Review.